Package org.eclipse.net4j.tcp

## Interface ITCPPassiveSelectorListener

-     public interface ITCPPassiveSelectorListener

  Call-back that handles the possible calls from a `selector` to a passive consumer, usually an `acceptor`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleAccept​(ITCPSelector selector, java.nio.channels.ServerSocketChannel serverSocketChannel)` |
    `void` | `handleRegistration​(ITCPSelector selector, java.nio.channels.ServerSocketChannel serverSocketChannel)` |

- - ### Method Detail

    - #### handleRegistration

          void handleRegistration​(ITCPSelector selector,
                                  java.nio.channels.ServerSocketChannel serverSocketChannel)

    - #### handleAccept

          void handleAccept​(ITCPSelector selector,
                            java.nio.channels.ServerSocketChannel serverSocketChannel)